@font-face {
    font-family: Nunito;
    src: url(../font/Nunito/Nunito-SemiBold.ttf);
    font-weight: 500;
}

@font-face {
    font-family: Nunito;
    src: url(../font/Nunito/Nunito-Regular.ttf);
    font-weight: 400;
}

@font-face {
    font-family: Nunito;
    src: url(../font/Nunito/Nunito-Light.ttf);
    font-weight: 300;
}

@font-face {
    font-family: Staatliches;
    src: url(../font/Staatliches/Staatliches-Regular.ttf);
    font-weight: 300;
}


* {
    box-sizing: border-box;
}

body {
    margin: 0;
    font-family: 'Nunito', sans-serif;
    text-rendering: optimizeLegibility;
    font-size: 14px;
    line-height: 1.5;
    color: #333;
    background: #ECF0F5;
}

img {
    width: 100%;
}

a,
a:link,
a:visited {
    color: #333;
    text-decoration: none;
}

ion-icon {
    position: relative;
    top: 2px;
}

/* Wrapper/Container FOR content */
.wrapper {
    margin: 0 auto;
    background: #FFF;
    border-radius: 0 0 14px 14px;
    box-shadow: 0 2px 6px #33333315;
}

/* Header */
header {
    position: sticky;
    top: 0;
    z-index: 999;
    background-color: #FBFA38;
    background-image: linear-gradient(to right, #000000, #363503);
    transition: all 0.2s linear;
}

header.scroll {
    background-color: unset;
    background-image: linear-gradient(to right, #000000AA, #363503AA);
    backdrop-filter: saturate(180%) blur(20px);
}

.no-order,
.cart-not-available {
    background: #dc3545;
    color: #FFF;
    text-align: center;
    padding: 10px 4px;
    font-size: 13px;
    letter-spacing: 1px
}

.cart-not-available {
    margin: 20px -13px -13px;
}

nav.top {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 6px 15px;
    box-shadow: 0 1px 5px #44444450;
}

.top .logo-brand > img {
    height: 35px;
    width: 35px;
}

.top ul {
    padding: 0;
    margin: 0;
}

.top ul li {
    list-style: none;
    display: inline-block;
    position: relative;
    color: #FFF;
    border-radius: 20px;
    width: 30px;
    height: 30px;
    line-height: 33px;
    text-align: center;
    font-size: 18px;
    cursor: pointer;
    transition: all .2s linear;
}

.top ul li:hover,
.top ul li:active {
    background: #717127;
}

.top .badge {
    position: absolute;
    right: -6px;
    top: -2px;
    font-size: 11px;
    padding: 0 .4em;
    height: 16px;
    line-height: 17px;
    text-align: center;
}

/* Search and cart top */
.overflow-hidden {
    overflow: hidden;
}

.cart-block,
.search-block {
    position: fixed;
    top: 0;
    bottom: 0;
    right: 0;
    left: 0;
    overflow-y: auto;
    text-align: center;
    background: rgba(0, 0, 0, 0.7);
    margin: 0;
    z-index: 1000;
}

#cart-overlay,
#search-overlay {
    display: none;
}

.centered {
    display: inline-block;
    vertical-align: middle;
    color: #FFF;
    border: none;
}

.search-form {
    margin: 6px;
    border: 0;
    border-radius: 3px;
    background-color: #fff;
    overflow: hidden;
    display: flex;
    justify-content: space-between;
    position: relative;
}

.search-form > div {
    position: absolute;
    right: 10px;
}

.search-form input[type="text"] {
    width: 100%;
    height: 40px;
    padding: 0 70px 0 10px;
    line-height: 1;
    border: 0;
    color: #333;
    background: #FFF;
    outline: none;
    font-weight: normal;
    font-size: 14px;
    letter-spacing: 0.5px;
    text-transform: capitalize;
}

.search-button,
#close-btn {
    height: 40px;
    width: 30px;
    line-height: 30px;
    color: #333;
    text-align: center;
    background: transparent;
    outline: 0;
    border: 0;
    font-size: 18px;
    cursor: pointer;
    transition: all .2s linear;
    z-index: 1001;
}

#close-btn {
    font-size: 20px;
    line-height: 40px;
}

.search-button:focus,
#close-btn:focus,
#close-cart:focus {
    outline: 0;
}

.search-button:hover,
#close-btn:hover,
#close-cart:hover {
    color: #777;
}

/* Cart Overlay */
#close-cart {
    height: 40px;
    width: 30px;
    line-height: 30px;
    color: #333;
    text-align: center;
    background: transparent;
    outline: 0;
    border: 0;
    font-size: 18px;
    cursor: pointer;
    position: absolute;
    right: 3px;
    top: 3px;
    transition: all .2s linear;
}

.bottom {
    position: relative;
    display: flex;
    overflow-y: auto;
    height: 100%;
    width: 100%;
    padding: 6px;
}

.cart-form {
    position: relative;
    background: #FFF;
    min-height: 200px;
    overflow: auto;
    height: auto;
    max-height: 100%;
    width: 100%;
    box-sizing: border-box;
    border-radius: 3px;
    padding: 13px;
    text-align: left;
    display: inline-block;
    align-self: flex-end;
}

.cart-form h1 {
    font-size: 1.2em;
}

.cart-form .list {
    padding: 10px 0;
}

.cart-form .list:nth-child(3),
.cart-form .cart-items .list:first-child {
    border: 0;
}

.cart-form .list h4 {
    margin-bottom: 0;
    font-weight: 500;
    font-size: 1.1em;
    color: #000;
}

.cart-form .list h5 {
    margin-bottom: 0;
    font-size: 0.9em;
    letter-spacing: -0.2px;
    color: #666;
}

.cart-form .list img {
    width: 35px;
    height: 35px;
    border-radius: 6px;
}

.cart-form .list .detail {
    width: calc(100% - 45px);
}

.cart-form .cart {
    bottom: 10px !important;
}

.cart-form .btn:hover {
    color: #fff !important;
}

.cart-form .row {
    margin-right: -13px;
    margin-left: -13px;
}

.cart-content-submit .btn {
    border-radius: 10px;
    color: #555;
}

#belanjaan-kosong > ion-icon {
    color: #777;
    font-size: 3em;
    margin-bottom: 6px
}

/* Cart List */
.cart .group {
    background: #ECF0F5;
    height: 24px;
    padding: 0 2px;
    border-radius: 20px;
    overflow: hidden;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.cart button + .group {
    display: none;
}

.cart .group .minus,
.cart .group .plus {
    height: 20px;
    width: 20px;
    line-height: 20px;
    border-radius: 20px;
    background: #bdd0e8;
    text-align: center;
    font-size: 16px;
    color: #FFF;
    cursor: pointer;
    transition: all .2s linear;
}

.cart .group .minus:hover,
.cart .group .plus:hover {
    background: #a6c2e5;
}


.cart .group .minus:active,
.cart .group .plus:active {
    background: #93b5de;
}

.cart .group input {
    margin: 0;
    padding: 0;
    height: 30px;
    width: 30px;
    text-align: center;
    border: 0;
    background: none;
    font-size: 14px;
    letter-spacing: -0.5px;
    color: inherit;
    cursor: default;
    user-select: none;
}

.cart .group input:hover,
.cart .group input:focus,
.cart .group input:active {
    outline: 0;
    border: 0;
}

.cart-content-form {
    margin: 10px 0 5px;
    border: solid 1px #F3F3F3;
    border-left: 0;
    border-right: 0;
    border-bottom: 0;
    padding: 10px 0;
}

.cart-content-form h1 {
    margin-bottom: 10px;
}

.cart-content-form label {
    display: block;
    margin-bottom: 3px;
    font-size: 12px;
}

.cart-content-form .customer-field {
    margin-bottom: 10px;
}

.cart-content-form .form-control {
    border-radius: 10px;
    height: calc(1.5em + .70rem + 5px);
    padding: .2rem .60rem;
    font-size: 0.9rem;
}


.cart-content-form textarea.form-control {
    height: auto
}

/* Floating Cart */
.floating-cart {
    position: sticky;
    left: 2%;
    right: 2%;
    bottom: 5px;
    width: 96%;

    background: #f6f6f6;
    padding: 0;
    border-radius: 10px;
    box-shadow: 0 2px 8px #22222240;
    box-sizing: border-box;
    overflow: hidden;
    z-index: 888;

    display: none;
    justify-content: space-between;
    align-items: center;
    cursor: pointer;
}

.floating-cart div:first-child {
    color: #888;
    font-size: 14px;
    font-weight: 500;
    padding: 0 5px 0 10px;
    width: 40px;
    height: 40px;
    display: flex;
    align-items: center;
    position: relative
}

.floating-cart div h5 {
    margin: 0 0 0 10px;
    display: inline-block;
}

.floating-cart ion-icon {
    font-size: 20px;
    color: #111;
}

.floating-cart .shop-badge {
    position: absolute;
    top: 3px;
    right: 3px;
    background: #dc3545AA;
    color: #FFF;
    width: auto;
    border-radius: 3px;
    font-size: 10px;
    padding: 0 .4em;
    height: 16px;
    line-height: 17px;
    text-align: center;
}

.floating-cart div:last-child {
    position: relative;
    right: 2px;
    color: #FFF;
    background: #28a745BB;
    height: 36px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 0 12px;
    font-size: 14px;
    letter-spacing: 1px;
    border-radius: 10px;
}

.floating-cart h5 {
    height: 40px;
    line-height: 42px;
    margin: 0 8px;
    color: #555;
}

/* Slider Banner */
.slider {
    margin: 10px;
    border-radius: 10px;
    overflow: hidden;
    box-shadow: 0 1px 5px #44444480;
}

/* Category front */
#wrap-category {
    position: relative;
    overflow-y: hidden;
    overflow-x: scroll;
    margin: 15px 0 0 0;
    width: 100%;
    height: 80px;
}

#category-ul {
    width: calc(45px + 140px * 5);
    height: 80px;
    padding: 0 0 0 10px;
    float: left;
}

#category-ul li {
    margin: 0;
    list-style: none;
    display: inline-table;
}

#category-ul li a {
    position: relative;
    overflow: hidden;
    display: inline-block;
    border: solid 1px #EEE;
    border-radius: 10px;
    margin-right: 5px;
    box-shadow: 0 1px 4px #44444420;
}

#category-ul li span {
    position: absolute;
    text-align: center;
    letter-spacing: 1px;
    font-size: 0.9em;
    color: #FFF;
    height: 70px;
    line-height: 70px;
    width: 100%;
    z-index: 99;
}

#category-ul li img {
    padding: 0;
    margin: 0;
    width: 130px;
    height: 70px;
    object-fit: cover;
    object-position: center;
    filter: brightness(35%);
}

#wrap-category + a {
    float: right;
    font-size: 12px;
    font-weight: 500;
    margin-right: 15px;
    letter-spacing: -0.5px;
    border: solid 1px #cdd7e3AA;
    border-radius: 8px;
    padding: 0 3px 0 8px;
    color: #666;
    transition: all 0.2s linear;
}

#wrap-category + a:hover {
    background-color: #f4f4f4;
}

#wrap-category + a:active {
    background-color: #EEE;
}

/* Content */
.content {
    clear: both;
    padding: 15px 10px;
    margin-bottom: 80px;
}

.content.add-margin {
    margin-bottom: 93px;
}

.toko > #slider {
    border-radius: 10px;
    overflow: hidden;
    box-shadow: 0 1px 5px #44444480;
    margin-bottom: 15px;
}

.toko > #slider .carousel-inner,
.toko > #slider .carousel-inner img {
    height: 220px;
}

.toko > #slider .carousel-item img {
    height: 220px;
    object-fit: cover;
    object-position: center;
}

.toko > #slider .carousel-control-prev-icon,
.toko > #slider .carousel-control-next-icon {
    opacity: 0.6;
}

.toko > img {
    border-radius: 10px;
    overflow: hidden;
    box-shadow: 0 1px 5px #44444480;
    max-height: 260px;
    object-fit: cover;
    margin-bottom: 15px;
}

.toko .wrap-list h1 {
    display: block;
    letter-spacing: 0;
    text-align: center;
    font-size: 1.2em;
    line-height: 1.6;
    color: #333;
}

.toko .wrap-list h1 + .list {
    margin-top: 10px
}

.toko .wrap-list h6 {
    font-size: 15px;
    line-height: 1.5;
    font-weight: normal;
    text-align: center;
    color: #777;
    margin: 0;
}

.toko .wrap-list p {
    margin: 2px 0 10px;
    text-align: center;
    color: #666;
}

/* List of data */
.wrap-list {
    margin-bottom: 20px;
}

.content h1,
.wrap-list h1 {
    display: inline-block;
    font-size: 1.3em;
    text-transform: uppercase;
    letter-spacing: 1px;
    margin-bottom: 0;
    color: #555;
}

.wrap-list .option {
    display: flex;
    justify-content: space-between;
}

.wrap-list .option button {
    border: 0;
    width: 30px;
    height: 30px;
    line-height: 33px;
    font-size: 16px;
    padding: 0;
    margin: 0;
    box-sizing: border-box;
    border-radius: 3px;
    transition: all .2s linear;
    outline: 0;
}

.wrap-list .option button:last-child {
    font-size: 22px;
    margin-left: 3px;
    line-height: 35px;
}

.wrap-list .option .active,
.wrap-list .option button:active {
    background-color: #363503;
    color: #FFF;
    outline: 0;
}

.list {
    display: block;
    height: auto;
    box-sizing: border-box;
    border-top: solid 1px #F4f4f4;
    padding: 13px 0;
    position: relative;
}

.list img {
    float: left;
    width: 64px;
    height: 64px;
    object-fit: cover;
    border-radius: 8px;
    box-shadow: 0 1px 4px #44444430;
}

.list .detail {
    width: calc(100% - 74px);
    margin: 0 0 0 10px;
    display: inline-block;
}

.list h4 {
    font-size: 1.06em;
    margin-bottom: .3em;

    overflow: hidden;
    text-overflow: ellipsis;
    display: -webkit-box;
    display: -moz-box;
    -webkit-line-clamp: 1;
    -webkit-box-orient: vertical;
    -moz-line-clamp: 1;
    -moz-box-orient: vertical;
}

.list h5 {
    font-size: 1em;
    font-weight: 500;
    display: inline-block;
    margin-bottom: .2em !important;
}

.list h5 small {
    font-weight: 500;
}

.list .diskon span,
.list .best span {
    padding: 0 4px;
    height: 18px;
    line-height: 18px;
    color: #FFF;
    opacity: 0.8;
}

.list .cart {
    position: absolute;
    right: 0;
    bottom: 14px;
}

.list .cart button.btn-success,
.wrap-detail .cart button.btn-success,
.list .cart button.btn-danger,
.wrap-detail .cart button.btn-danger {
    color: #FFF;
    font-size: 1.3em;
    border-radius: 40px;
    display: inline-block;
    width: 30px;
    height: 30px;
    line-height: 30px;
    text-align: center;
    padding: 0;
}

.list .cart button.btn-success,
.wrap-detail .cart button.btn-success {
    background-color: #28a745BB;
    border-color: #28a745BB;
}

.list .cart a:hover,
.list .cart a:active,
.wrap-detail .cart a:hover,
.wrap-detail .cart a:active {
    background-color: #28a745;
    border-color: #28a745;
}

/* Grid */
/* Make detail grid hidden first */
.view {
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    justify-content: space-between;
}

.wrap-grid {
    display: none;
}

/* CSS detail grid */
.grid {
    position: relative;
    width: calc(33.33% - 6px);
    display: inline-block;
    margin: 6px 6px 0 0;
    padding: 0;
}

.grid:last-child {
    margin-right: auto;
}

.wrap-list > .grid:nth-child(3n) {
    margin-right: 0;
}

.grid .wrap-grid {
    display: inline-block;
    width: 100%;
    height: 100%;
    cursor: pointer;
    margin: -2px 0 -3.5px 0;
}

.grid > a {
    display: none
}

.grid .cart {
    position: relative;
    right: unset;
    bottom: unset;
}

.grid .shop-item-button {
    display: none !important;
}

.grid .cart button + .group {
    position: absolute;
    z-index: 15;
    top: -6px;
    left: 0;
    background: transparent;
    height: 100%;
    width: 100%;
    padding: 0;
    margin: 0;
    border-radius: 8px;
    overflow: hidden;
}

.grid .cart button + .group > .plus {
    height: 100%;
    width: 100%;
    background: #5fbc75a8;
    display: flex;
    align-items: flex-end;
    justify-content: flex-end;
    padding: 10px 6px;
    border-radius: 6px;
}

.grid .cart button + .group > .minus,
.grid .cart button + .group > .cart-quantity-input {
    display: none;
}

.wrap-grid > img {
    filter: brightness(20%);
    width: 100%;
    height: 100%;
    z-index: -1;
    object-fit: cover;
    border: 0;
    border-radius: 7px;
}

.wrap-grid > h4 {
    z-index: 1;
    margin: 0;
    display: block;
    position: absolute;
    font-size: 1em;
    font-weight: normal;
    text-align: center;
    line-height: 1.3;
    transform: translate(-50%, -50%);
    left: 50%;
    top: 50%;
    width: 95%;
    color: #FFF;
}

/* List Toko */
.list-toko .row {
    margin: 0 -10px;
    padding: 0;
}

.list-toko .col-6 {
    padding: 0 10px;
    margin-bottom: 10px;
}

.list-toko a {
    display: inline-block;
    box-sizing: border-box;
    background-color: #0b2e13;

    position: relative;
    overflow: hidden;
    width: 100%;
    border: solid 1px #EEE;
    border-radius: 6px;
    box-shadow: 0 1px 4px #44444430;
    transition: all .2s linear;
}

.list-toko a span {
    position: absolute;
    text-align: center;
    letter-spacing: 1px;
    font-size: 1em;
    color: #FFF;
    height: auto;
    line-height: 1.5;
    width: 100%;
    z-index: 99;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

.list-toko a img {
    padding: 0;
    margin: 0;
    width: 100%;
    height: 80px;
    object-fit: cover;
    object-position: center;
    filter: brightness(35%);
    transition: all .2s linear;
}

/* Detail of produk */
.wrap-detail-img {
    border-radius: 10px;
    box-shadow: 0 1px 5px #44444440;
    position: sticky;
    top: 63px;
    z-index: 1;
}

.wrap-detail {
    background: #FFF;
    position: relative;
    margin: 10px -10px 0;
    padding: 10px;
    transition: all .3s linear;
    z-index: 88;
}

.wrap-detail-shadow {
    border-radius: 14px 14px 0 0;
    box-shadow: 0 -4px 6px #44444430;
}

.wrap-detail h4 {
    color: #555;
    font-size: 1.3em;
    padding-bottom: 5px;
    display: inline-block;
}

.wrap-detail h5 {
    margin: 0;
}

.wrap-detail p {
    margin-top: 5px;
    white-space: pre-wrap;
    text-align: justify;
    line-height: 1.5;
    font-size: 1em;
    padding-bottom: 10px;
    color: #777;
    border-bottom: solid 1px #F4f4f4;
}

.wrap-detail .social {
    display: flex;
    justify-content: space-between;
}

.wrap-detail .social a {
    width: 50%;
    height: 30px;
    line-height: 30px;
    color: #FFF;
    font-size: 1.2em;
    padding: 0;
    border-radius: 6px;
    opacity: 0.8
}

.wrap-detail .social a:first-child {
    margin-right: 5px;
}

.wrap-detail .social a:last-child {
    margin-left: 5px;
}

.wrap-detail .cart {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.payment i {
    display: block;
    font-style: normal;
    font-size: 11px;
}

/* Info Bottom */
.info {
    clear: both;
    width: 100%;
    bottom: 15px;
    position: fixed;
    text-align: center;
    font-size: .80em;
    color: #888;
    z-index: -1;
}

.info .social {
    margin-bottom: 8px;
}

.info .social a {
    display: inline-block;
    border-radius: 20px;
    width: 25px;
    height: 25px;
    line-height: 25px;
    text-align: center;
    color: #555;
    background: #cdd7e3;
    margin: 0 4px;
    transition: all .2s linear;
}

.info .social a:active {
    background: #8498b1;
}

.info .social a ion-icon {
    font-size: 12px;
}

.info .social + a {
    color: #888;
}

/* Custom CSS */

/* 1. Carousel*/
.carousel-inner {
    width: 100%;
    height: 13em;
}

.carousel-inner img {
    height: 13em;
    object-fit: cover;
    object-position: center;
}

.carousel-indicators {
    bottom: 0px;
}

.carousel-indicators li {
    width: 10px;
    height: 10px;
    border-radius: 5px;
    border-bottom: 0;
    border-top: 0;
    opacity: .4;
}

.carousel-indicators li.active {
    width: 22px;
    opacity: .7;
}


/* Media Query */
@media (min-width: 768px) {
    .wrapper {
        width: 500px;
    }

    .centered {
        width: 500px;
    }

    .bottom {
        width: 500px;
        margin: 0 auto;
        padding: 0;
    }

    .search-form {
        margin-left: 0;
        margin-right: 0;
    }

    .cart-form {
        margin: 6px 0;
    }

    .floating-cart {
        width: calc(500px - 1%);
        bottom: 8px;
        left: 50%;
        transform: translateX(-50%)
    }
}

@media (min-width: 500px) {
    #wrap-category,
    #category-ul {
        height: 95px;
    }

    #wrap-category + a {
        margin-top: 6px;
    }

    .list-toko a:hover {
        transform: translateY(-3px);
    }

    .list-toko a:hover > img {
        filter: brightness(50%);
    }

    .list-toko a span {
        font-size: 1.1em;
        padding: 0 1em;
    }

    .list-toko a img {
        height: 120px;
    }
}

@media (max-width: 600px) {
    .wrapper {
        width: 100%;
        background: #FFF;
    }

    .centered {
        width: 100vw;
        height: 100vh;
        position: absolute;
        top: 0;
        left: 0;
    }
}
